PROGRAM temperature_conversion

! convert fahrenheit temperature to celsius and kelvin

  IMPLICIT NONE
  REAL :: deg_f, deg_c, deg_k
  INTEGER :: i
  
  PRINT*, "Please type in the temp in F"
  READ*, deg_f

  deg_c = 5.*(deg_f-32.)/9.    ! convert to celsius
  deg_k = deg_c + 273.15       ! convert to kelvin
  PRINT*, "This is equal to", deg_c, "C and",deg_k, "K"
  
END PROGRAM temperature_conversion
